ReferenceCountedACLCache (Apache ZooKeeper - Server 3.7.0 API)
Date: 2021-03-17

org.apache.zookeeper.server

## Class ReferenceCountedACLCache

- java.lang.Object
- - org.apache.zookeeper.server.ReferenceCountedACLCache

-     public class ReferenceCountedACLCache
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReferenceCountedACLCache()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addUsage(Long acl)`
    `Long` | `convertAcls(List<ACL> acls)` converts the list of acls to a long.
    `List<ACL>` | `convertLong(Long longVal)` converts a long to a list of acls.
    `void` | `deserialize(InputArchive ia)`
    `void` | `purgeUnused()`
    `void` | `removeUsage(Long acl)`
    `void` | `serialize(OutputArchive oa)`
    `int` | `size()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReferenceCountedACLCache

          public ReferenceCountedACLCache()

  - ### Method Detail

    - #### convertAcls

          public Long convertAcls(List<ACL> acls)

      converts the list of acls to a long. Increments the reference counter for this ACL.
      Parameters:
        `acls` -
      Returns:
        a long that map to the acls

    - #### convertLong

          public List<ACL> convertLong(Long longVal)

      converts a long to a list of acls.
      Parameters:
        `longVal` -
      Returns:
        a list of ACLs that map to the long

    - #### deserialize

          public void deserialize(InputArchive ia)
                           throws IOException

      Throws:
        `IOException`

    - #### serialize

          public void serialize(OutputArchive oa)
                         throws IOException

      Throws:
        `IOException`

    - #### size

          public int size()

    - #### addUsage

          public void addUsage(Long acl)

    - #### removeUsage

          public void removeUsage(Long acl)

    - #### purgeUnused

          public void purgeUnused()

Copyright © 2008–2021 The Apache Software Foundation. All rights reserved.